#ifndef INC_GTLAYER_H
#define INC_GTLAYER_H

#include "gtbdrman.h"

/************************************************************************\
*
* GtLayer class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtLayer : public GtBdrMan
{
public:
		/* Standard */
	GtLayer(void);
	char *GetClass(void) { return("GtLayer"); }
	sbool IsSubClassOf(char *cn);
		/* Child requests */
	sbool MapReq(GtWidget *obj,sbool map);
		/* Layout */
	void Relayout(void);
protected:
		/* Internal methods */
	void Layout(void);
protected:
		/* Instance variables */
	GtWidget *curr;
};

extern GtLayer *GtMkLayer(char *n,GtManager *p,GtTag *tgs);
extern GtLayer *GtMkLayer(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTLAYER_H */
