#include <stdlib.h>
#include "gtall.h"
#include "gtmodview.h"

int QuitCB(GtBase *obj,GtCDPtr cd,GtUDPtr ud)
{
	((GtApp *)ud)->BreakLoop();
	return(GTCB_CONT);
}

int main(int argc,char **argv)
{
	GtApp *app;
	GtAppDisp *dsp;
	GtAppShell *shell;
	GtModView *mv;
	GtButton *b;
	
	app=GtMkApp(NULL);
	app->SetupRes(&argc,argv);
	if(argc!=5)
		return(1);
	dsp=GtMkAppDisp(app,NULL);
	shell=GtMkAppShell("shell",(GtManager *)dsp,NULL);
	shell->AddCB(GT_Close,QuitCB,app);
	mv=GtMkModView("modview",shell,NULL);
	b=GtMkButton("b1",mv,NULL);
	GtMkLabel("button1",b,NULL);
	b=GtMkButton("b2",mv,NULL);
	GtMkLabel("button2",b,NULL);
	b=GtMkButton("b3",mv,NULL);
	GtMkLabel("button3",b,NULL);
	b=GtMkButton("b4",mv,NULL);
	GtMkLabel("button4",b,NULL);
	shell->Build();
	mv->SetView(atoi(argv[1]),atoi(argv[2]),atoi(argv[3]),atoi(argv[4]));
	app->EventLoop(GTAM_LOOP);
	GtDestroy(app);
	return(0);
}
